// AdjustDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NetFriends.h"
#include "AdjustDlg.h"


// CAdjustDlg dialog

IMPLEMENT_DYNCREATE(CAdjustDlg, CDialog/*CDHtmlDialog*/)

CAdjustDlg::CAdjustDlg(CWnd* pParent /*=NULL*/)
	: /*CDHtmlDialog*/CDialog(CAdjustDlg::IDD, /*CAdjustDlg::IDH,*/ pParent)
	, ms_ipaddr(_T("192.168.1.1"))
	, mi_port(65108)
	, mi_broadnum(255)
	, mi_type(0)
{

}

CAdjustDlg::~CAdjustDlg()
{
}

void CAdjustDlg::DoDataExchange(CDataExchange* pDX)
{
	/*CDHtmlDialog*/CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATICCOMBO, m_staticadjust);
	DDX_Control(pDX, IDC_STATICIPADDR, m_staticipaddr);
	DDX_Control(pDX, IDC_STATICPORT, m_staticport);
	DDX_Control(pDX, IDC_STATICBROADNUM, m_staticbroadnum);
	DDX_Text(pDX, IDC_EDIT1, ms_ipaddr);
	DDX_Text(pDX, IDC_EDIT2, mi_port);
	DDV_MinMaxUInt(pDX, mi_port, 1024, 65535);
	DDX_Text(pDX, IDC_EDIT6, mi_broadnum);
	DDX_Control(pDX, IDC_COMBOTYPE, m_combotype);
	DDX_CBIndex(pDX, IDC_COMBOTYPE, mi_type);
	DDX_Control(pDX, IDC_EDIT2, m_editport);
	DDX_Control(pDX, IDC_EDIT6, m_editcastnum);
}

BOOL CAdjustDlg::OnInitDialog()
{
	/*CDHtmlDialog*/CDialog::OnInitDialog();

MyInitFunc( );
this->AdjustByType( );

	return TRUE;  // return TRUE  unless you set the focus to a control
}

BEGIN_MESSAGE_MAP(CAdjustDlg,CDialog /*CDHtmlDialog*/)
	ON_CBN_SELCHANGE(IDC_COMBOTYPE, &CAdjustDlg::OnCbnSelchangeCombotype)
END_MESSAGE_MAP()

//BEGIN_DHTML_EVENT_MAP(CAdjustDlg)
//	DHTML_EVENT_ONCLICK(_T("ButtonOK"), OnButtonOK)
//	DHTML_EVENT_ONCLICK(_T("ButtonCancel"), OnButtonCancel)
//END_DHTML_EVENT_MAP()



// CAdjustDlg message handlers

//HRESULT CAdjustDlg::OnButtonOK(IHTMLElement* /*pElement*/)
//{
//	OnOK();
//	return S_OK;
//}
//
//HRESULT CAdjustDlg::OnButtonCancel(IHTMLElement* /*pElement*/)
//{
//	OnCancel();
//	return S_OK;
//}

const void CAdjustDlg::MyInitFunc(void)
{
	this->m_staticadjust.SetWindowTextW(L"̬");
	this->m_staticbroadnum.SetWindowTextW(L"㲥");
	this->m_staticipaddr.SetWindowTextW(L"IPַ");
	this->m_staticport.SetWindowTextW(L"˿ں");

	this->m_combotype.AddString(L"0 ӽڵ");
	this->m_combotype.AddString(L"1 㲥");

	this->m_combotype.SetCurSel(0);
	return  ;
}

// Comboѡ̬ؼ
const void CAdjustDlg::AdjustByType(void)
{
	if(this->m_combotype.GetCurSel( )==0) //add peer mode
	{
		this->m_staticbroadnum.EnableWindow(FALSE);
		this->m_staticport.EnableWindow(TRUE);
		this->m_editcastnum.SetReadOnly(TRUE);
		this->m_editport.SetReadOnly(FALSE);
	}
	else
	{		
		this->m_staticbroadnum.EnableWindow(TRUE);
		this->m_staticport.EnableWindow(FALSE);
		this->m_editcastnum.SetReadOnly(FALSE);
		this->m_editport.SetReadOnly(TRUE);
	}
	return  ;
}

void CAdjustDlg::OnCbnSelchangeCombotype()
{
	// TODO: Add your control notification handler code here
	this->AdjustByType( );
}
